Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157748 - nautilus-cd-burner SRPM doesn't build
Summary: nautilus-cd-burner SRPM doesn't build
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus-cd-burner
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-14 14:30 UTC by François Kooman
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-09 13:42:16 UTC


Attachments (Terms of Use)
Patch to fix the problem (deleted)
2006-03-13 17:47 UTC, Roozbeh Pournader
no flags Details | Diff

Description François Kooman 2005-05-14 14:30:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Fedora/1.0.4-2 Firefox/1.0.4

Description of problem:
rpmbuild --rebuild nautilus-cd-burner-2.10.0-2.src.rpm

[..]

./.libs/libnautilus-burn.so: undefined reference to `__gxx_personality_v0'
collect2: ld returned 1 exit status



Version-Release number of selected component (if applicable):
nautilus-cd-burner-2.10.0-2

How reproducible:
Always

Steps to Reproduce:
1. Get the source rpm
2. Rebuild with rpmbuild

  

Actual Results:  doesn't compile

Expected Results:  should compile

Additional info:

Comment 1 François Kooman 2005-05-14 14:32:39 UTC
By the way, this is a rawhide install, with all updates (May 14th 2005)

Comment 2 Rahul Sundaram 2005-08-13 20:40:40 UTC
# yumdownloader --source nautilus-cd-burner
# yum-builddep nautilus-cd-burner-2.11.5-1.src.rpm

gave me


.........
checking for C++ compiler default output file name... configure: error: C++
compiler cannot create executables
See `config.log' for more details.
error: Bad exit status from /var/tmp/rpm-tmp.81156 (%build)

---------

Resolved that using # yum install gcc-c++. Looks the spec is missing a gcc-c++ BR 



Comment 3 Roozbeh Pournader 2005-09-25 16:43:56 UTC
The reported bug is not fixed with installing "gcc-c++". The bug is still there
in latest FC4 SRPM, which is nautilus-cd-burner-2.10.0-2.

Comment 4 Matthias Clasen 2006-02-15 21:19:35 UTC
So, is this an FC4 issue, or a rawhide issue ?

Comment 5 Roozbeh Pournader 2006-02-16 13:02:37 UTC
I don't know if this can still be reproduced on rawhide, but I can still
reproduce the bug on FC4. (The gcc-c++ doesn't work here.)

[...]
gcc -Wall -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386
-mtune=pentium4 -fasynchronous-unwind-tables -o .libs/nautilus-cd-burner
nautilus-cd-burner.o make-iso.o -Wl,--export-dynamic 
./.libs/libnautilus-burn.so -pthread -L/usr/X11R6/lib -lglade-2.0 -lgnomeui-2
-lSM -lICE -lbonoboui-2 -lxml2 -lpthread -lz -lgnomecanvas-2 -lgnome-2
/usr/lib/libpopt.so -lart_lgpl_2 -lpangoft2-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0
-latk-1.0 -lgdk_pixbuf-2.0 -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0
-lgnomevfs-2 -lbonobo-2 -lgconf-2 -lbonobo-activation -lORBit-2 -lm
-lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0 -lhal -ldbus-1
./.libs/libnautilus-burn.so: undefined reference to `__gxx_personality_v0'
collect2: ld returned 1 exit status
make[2]: *** [nautilus-cd-burner] Error 1
make[2]: Leaving directory `/home/roozbeh/rpmbuild/BUILD/nautilus-cd-burner-2.10.0'


Comment 6 Roozbeh Pournader 2006-03-13 17:47:58 UTC
Created attachment 126056 [details]
Patch to fix the problem

Attached is a patch that fixed a problem. One may also need to run automake-1.7
in the spec file.

Comment 7 John Thacker 2006-04-22 02:55:26 UTC
It's definitely fixed in FC5; there's a c++ patch and change to the spec file to
run a bunch of auto* stuff.  Right now it doesn't look like it's going to get
fixed for FC4, though backporting shouldn't be *too* hard.

Comment 8 Roozbeh Pournader 2006-11-09 13:42:16 UTC
Closing as wontfix as FC4 is EOL.


Note You need to log in before you can comment on or make changes to this bug.